name: USB20_RECEPTACLE
description: USB 2.0 standard-A receptacle, right angle
datasheet: https://datasheet.lcsc.com/szlcsc/1903251102_Jing-Extension-of-the-Electronic-Co-USB-A-F-900-Ordinary-buckle-Cracked-feet-Not-high-temperature_C2345.pdf
keywords: connector, USB
lcsc: C2345

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  SHELL:
    SHIELD: 5, 6

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB
  bottom: SHELL

housing:
  pattern: custom
  bodyWidth: 14.40
  bodyLength: 14.00
  bodyPosition: 0, 3.15 # -14.00 / 2 + 10.15
  height: 7.00

  # shell tabs
  holeDiameter: 0.9
  padPosition: -3.5, -2.71, -1.0, -2.71, 1.0, -2.71, 3.50, -2.71

  # shell tabs
  holeDiameter1: 2.10
  padPosition1: -7.0, 0, 7.0, 0
